const getResourceString = (lang = 'de-de') => key => {
  const resources = require(`./${lang}`).default
  return resources[key]
}

const getResource = (lang = 'de-de') => key => {
  const resources = require(`./${lang}`).default
  return resources[key]
}

const getVatFromCountryIso = (lang = 'DE') => {
  switch (lang) {
    case 'DE':
      return [{ name: '0%', value: '0.00' }, { name: '7%', value: '7.00' }, { name: '19%', value: '19.00' }]
  }
}

module.exports = {
  getResource,
  getResourceString,
  getVatFromCountryIso
}
