const {API_PREFIX, USER, PASS, HttpMethods, NOT_FOUND} = require('../../../constants')
const config = require('../../services/fakeData/config')
const createFakeData = require('../../services/fakeData/createFakeData')
const request = require('request')
const handleResponse = require('./_helpers/handleResponse')

const getToken2 =  iid =>
  new Promise((resolve, reject) => {
    
    const options = {
      method: HttpMethods.POST,
      uri: `http://localhost:3000/api/auth/token/`,
      json: true,
      auth: {
        user: USER,
        pass: PASS
      },
      body: {
        "installationId": iid
    }
    }
    request(options, (error, response, body) => {
        if (response.statusCode === NOT_FOUND) {
        resolve(null)
        console.log('null')
      } else {
        handleResponse(resolve, reject, error, response, body)
      }
    })
  })



const callback = async (req,res) => {
    const {iid} = req.query

try {
    
   const {token} = await getToken2(iid)
  
 
  for (let i = 0; i < config.customers; i++) {
 await createFakeData(token)
   }
   res.send(token)
} catch (error) {
    console.log(error)
}

}


module.exports = function (router) {
    router.get('/', callback)
  }