// checks if a string contains all valide emails devided by coma
const validator = require('validator')
const isUrl = require('is-url')

const isValidEmail = email => {
  return validator.isEmail(email)
}

const isEmailList = emailList => {
  emailList = emailList.trim()
  if (emailList.length === 0) return true
  const emails = emailList.split(',')

  return emails.every(isValidEmail)
} 

const isValidFileName = filename => {
  const regex = /[!#$%(){}+|<>~"'\\/`]/g
  return !regex.test(filename) // false if any of the characters is found
}

module.exports = {
  isEmailList,
  isValidFileName,
  isUrl
}
