const { randomBytes } = require('crypto')

/**
 * Generates a random hexadecimal string with a length of 'bytes'
 * @param {number} [bytes=32] byte size
 * @return {string}
 */
const random = bytes => {
  return randomBytes(bytes || 32).toString('hex')
}
 
module.exports = {
  randomBytes: random
}
