const express = require('express')
const { initializeApiMiddleware } = require('./middleware')


const createServer = () => {
  const app = express()
  app.disable('x-powered-by')
  initializeApiMiddleware(app)
  return app
}

module.exports = {
  createServer
}
